<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="DiscouragedApi,LockedOrientationActivity">

    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="com.google.android.gms.permission.AD_ID" />

    <application
        android:name=".App"
        android:allowBackup="true"
        android:fullBackupOnly="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/english_ime_name"
        android:roundIcon="@mipmap/ic_launcher"
        android:resizeableActivity="true"
        android:maxAspectRatio="2.4"
        android:supportsRtl="true"
        android:theme="@style/LaunchTheme"
        tools:ignore="UnusedAttribute">

        <meta-data
            android:name="android.max_aspect"
            android:value="2.4" />

        <!--适配华为（huawei）刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true"/>
        <!--适配小米（xiaomi）刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />

        <uses-library android:name="org.apache.http.legacy" android:required="false"/>

        <activity
            android:name=".LaunchActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:exported="true" />
        <activity
            android:name=".ThemeSettingsActivity"
            android:exported="true" />
        <activity
            android:name="ColorfulDetailsActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".PreviewActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".SettingActivity"
            android:exported="true" />
        <activity
            android:name=".LocalPrivacyAct"
            android:screenOrientation="portrait" />

        <activity android:name=".DownloadsActivity"
            android:screenOrientation="portrait"/>

        <service
            android:name=".KeyboardService"
            android:exported="true"
            android:label="@string/english_ime_name"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <meta-data
                android:name="android.view.im"
                android:resource="@xml/key_method" />
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>
        </service>

        <receiver
            android:name=".latin.SystemBroadcastReceiver"
            android:exported="false">
            <intent-filter>
                <action android:name="android.intent.action.LOCALE_CHANGED" />
            </intent-filter>
        </receiver>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.colorful.keyboard.theme"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_path" />
        </provider>


    </application>

</manifest>